org.omg.PortableInterceptor

## Interface ObjectReferenceTemplate

- All Superinterfaces:
    IDLEntity, ObjectReferenceFactory, Serializable, ValueBase

      public interface ObjectReferenceTemplate
      extends ObjectReferenceFactory

  The object reference template. An instance of this must exist for each object adapter created in an ORB. The server_id, orb_id, and adapter_name attributes uniquely identify this template within the scope of an IMR. Note that adapter_id is similarly unique within the same scope, but it is opaque, and less useful in many cases.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `adapter_name()`
    `String` | `orb_id()`
    `String` | `server_id()`

    - ### Methods inherited from interface org.omg.PortableInterceptor.ObjectReferenceFactory

      `make_object`

    - ### Methods inherited from interface org.omg.CORBA.portable.ValueBase

      `_truncatable_ids`

- - ### Method Detail

    - #### server_id

          String server_id()

    - #### orb_id

          String orb_id()

    - #### adapter_name

          String[] adapter_name()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.